<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">

</app-page-title>

<div class="card">
  <div class="card-body">

    <div class="row">
      <div class="col">
        <div class="form-group">
          <label>A partir de: <span class="text-danger" *ngIf="fechaPasada">Fechas pasadas</span></label>
          <kendo-datepicker [value]="value" [format]="formatDay" class="form-control"></kendo-datepicker>
        </div>
      </div>
      <div class="col">
        <div class="form-group">
          <label>Número de cuarto</label>
          <div class="input-group">
            <input [(ngModel)]="cuarto" type="text" class="form-control" min="0" (keyup.enter)="surfCuarto('U', false)">
            <div class="input-group-append">
              <button class="btn btn-light" (click)="surfCuarto('U', false)">
                <i class="fa fa-search"></i>
              </button>
            </div>
          </div>
        </div>
      </div>
      <div class="col">
        <div class="form-group">
          <label>Buscar Fechas</label>
          <div class="btn-group btn-block" role="group">
            <button class="btn btn-light" (click)="surfCuarto('D', true)">
              <i class="fas fa-angle-double-left mr-2"></i>
              Atras
            </button>
            <button class="btn btn-light" (click)="surfCuarto('U', true)">
              Delante
              <i class="fas fa-angle-double-right ml-2"></i>
            </button>
          </div>
        </div>
      </div>
      <div class="col">
        <div class="form-group">
          <label class="w-100">Nombre / No. Huésped</label>
          <kendo-switch [(ngModel)]="name_folio" [onLabel]="'Folio'" [offLabel]="'Nombre'">
          </kendo-switch>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col col-xl-2 col-lg-4 col-md-4 col-sm-6 col-6">
        <p>
          Reservaciones:
          <span class="badge" style="border: solid 1px #8a8a8a" [ngStyle]="{'background-color': '#' + colorsBg[14]}"><i
              class="pe-7s-pin"></i></span>
          <span class="badge ml-1" style="border: solid 1px #8a8a8a"
            [ngStyle]="{'background-color': '#' + colorsBg[11]}"><i class="pe-7s-pin"></i></span>
        </p>
      </div>
      <div class="col col-xl-2 col-lg-4 col-md-4 col-sm-6 col-6">
        <p>
          Huéspedes:
          <span class="badge" style="border: solid 1px #8a8a8a" [ngStyle]="{'background-color': '#' + colorsBg[8]}"><i
              class="pe-7s-pin"></i></span>
          <span class="badge ml-1" style="border: solid 1px #8a8a8a"
            [ngStyle]="{'background-color': '#' + colorsBg[15]}"><i class="pe-7s-pin"></i></span>
        </p>
      </div>
      <div class="col col-xl-2 col-lg-4 col-md-4 col-sm-6 col-6">
        <p>
          Fuera de servicio:
          <span class="badge" style="border: solid 1px #8a8a8a" [ngStyle]="{'background-color': '#' + colorsBg[12]}"><i
              class="pe-7s-pin"></i></span>
        </p>
      </div>
      <div class="col col-xl-2 col-lg-4 col-md-4 col-sm-6 col-6">
        <p>
          Walk-In:
          <span class="badge" style="border: solid 1px #8a8a8a" [ngStyle]="{'background-color': '#' + colorsBg[6]}"><i
              class="pe-7s-pin"></i></span>
        </p>
      </div>
      <div class="col col-xl-2 col-lg-4 col-md-4 col-sm-6 col-6">
        <p>
          Fuera de Orden:
          <span class="badge" style="border: solid 1px #8a8a8a" [ngStyle]="{'background-color': '#' + colorsBg[13]}"><i
              class="pe-7s-pin"></i></span>
        </p>
      </div>
      <div class="col col-xl-2 col-lg-4 col-md-4 col-sm-6 col-6">
        <div role="group" class="btn-group btn-block">
          <button class="btn btn-light" (click)="preNext('P')">
            <i class="fas fa-arrow-up"></i>
          </button>
          <button class="btn btn-light" (click)="preNext('N')">
            <i class="fas fa-arrow-down"></i>
          </button>
        </div>
      </div>
    </div>

    <div class="scroll-area-lg">
      <perfect-scrollbar [autoPropagation]="true">

        <div class="table-responsive" *ngIf="valueCB">
          <table class="mb-0 table table-striped small">
            <thead>
              <tr style="white-space: nowrap">
                <th>Cuarto</th>
                <th>Tipo Cuarto</th>
                <th *ngFor="let fecha of valueCB.ttFecha">
                  {{ fecha.Fecha }}
                </th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let fila of valueCB.ttTbloqueo">
                <th scope="row">{{ fila.Cuarto }}</th>
                <td>{{ fila.Tcuarto }}</td>
                <td *ngFor="let col of (name_folio ? fila.FolioMostrar : fila.Nombre); let indice = index"
                  [ngStyle]="{'background-color': col ? '#' + colorsBg[fila.Color[indice]] : ''}">
                  <div *ngIf="fila.Color[indice] != 14 && fila.Color[indice] != 11">
                    <span *ngIf="col && name_folio" (click)="openModalHuesped(contentHuesped, fila.NoFolio[indice])"
                      placement="top" [ngbTooltip]="fila.Nombre[indice]" style="cursor: pointer">
                      {{ col ? col : '' }}
                    </span>
                    <span *ngIf="col && !name_folio" (click)="openModalHuesped(contentHuesped, fila.NoFolio[indice])"
                      placement="top" [ngbTooltip]="fila.NoFolio[indice] + ' - ' + fila.Nombre[indice]"
                      style="cursor: pointer">
                      {{ col ? col.substring(0, 6) + '...' : '' }}
                    </span>
                  </div>
                  <div *ngIf="fila.Color[indice] == 14 || fila.Color[indice] == 11">
                    <span *ngIf="col && name_folio"
                      (click)="openModalReservacion(contentReservacion, fila.NoFolio[indice])" placement="top"
                      [ngbTooltip]="fila.Nombre[indice]" style="cursor: pointer">
                      {{ col ? col : '' }}
                    </span>
                    <span *ngIf="col && !name_folio"
                      (click)="openModalReservacion(contentReservacion, fila.NoFolio[indice])" placement="top"
                      [ngbTooltip]="fila.NoFolio[indice] + ' - ' + fila.Nombre[indice]" style="cursor: pointer">
                      {{ col ? col.substring(0, 6) + '...' : '' }}
                    </span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>

      </perfect-scrollbar>
    </div>

    <ngx-loading [show]="loading" [config]="loadingColor"></ngx-loading>

  </div>

</div>

<ng-template #contentHuesped let-c="close" let-d="dismiss">
  <div class="modal-body">
    <app-huesped [folio]="noFolio"></app-huesped>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>

<ng-template #contentReservacion let-c="close" let-d="dismiss">
  <div class="modal-body">
    <app-reservacion [folio]="noFolio"></app-reservacion>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>